## ros-rolling-gazebo-ros2-control 0.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(gazebo_ros2_control)

find_package(ament_cmake REQUIRED)
find_package(angles REQUIRED)
find_package(controller_manager REQUIRED)
find_package(gazebo_dev REQUIRED)
find_package(gazebo_ros REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(urdf REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wconversion -Wno-sign-conversion -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

include_directories(include)
link_directories(
  ${gazebo_dev_LIBRARY_DIRS}
)

# Libraries
add_library(${PROJECT_NAME} SHARED
  src/gazebo_ros2_control_plugin.cpp
)
ament_target_dependencies(${PROJECT_NAME}
  angles
  controller_manager
  gazebo_dev
  gazebo_ros
  hardware_interface
  pluginlib
  rclcpp
  urdf
  yaml_cpp_vendor
)

add_library(gazebo_hardware_plugins SHARED
  src/gazebo_system.cpp
)
ament_target_dependencies(gazebo_hardware_plugins
  angles
  gazebo_dev
  hardware_interface
  rclcpp
)

## Install
install(TARGETS
  ${PROJECT_NAME}
  gazebo_hardware_plugins
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_include_directories(
  include
)

ament_export_dependencies(ament_cmake)
ament_export_dependencies(rclcpp)
ament_export_libraries(
  ${PROJECT_NAME}
  gazebo_hardware_plugins
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)

pluginlib_export_plugin_description_file(gazebo_ros2_control gazebo_hardware_plugins.xml)

ament_package()

=== debian/changelog ===
ros-rolling-gazebo-ros2-control (0.0.8-1focal) focal; urgency=high

  * Enable setting default position of the simulated robot using ros2_control URDF tag. (#100 <https://github.com/ros-simulation/gazebo_ros2_control//issues/100>)
  * Contributors: Denis Štogl

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 27 Jan 2022 23:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.7-1focal) focal; urgency=high

  * Pass ROS time instead of SYSTEM time to update function (#97 <https://github.com/ros-simulation/gazebo_ros2_control//issues/97>)
  * Contributors: Błażej Sowa

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 02 Dec 2021 23:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.6-1focal) focal; urgency=high

  * Fix ros2_control resource manager in galatic (#96 <https://github.com/ros-simulation/gazebo_ros2_control//issues/96>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.4-1focal) focal; urgency=high

  * Added testing CI (#93 <https://github.com/ros-simulation/gazebo_ros2_control//issues/93>)
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
  * fix maintainer email (#92 <https://github.com/ros-simulation/gazebo_ros2_control//issues/92>)
  * Galactic: Pass time and period to update function (#88 <https://github.com/ros-simulation/gazebo_ros2_control//issues/88>)
  * Export interfaces created in init (#83 <https://github.com/ros-simulation/gazebo_ros2_control//issues/83>)
  * Add Imu and FT state interfaces (#65 <https://github.com/ros-simulation/gazebo_ros2_control//issues/65>)
    Co-authored-by: Jordan Palacios <mailto:jordan.palacios@pal-robotics.com>
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, Błażej Sowa, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 25 Oct 2021 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.3-1focal) focal; urgency=high

  * Forward sdf ros remappings to loaded controllers (#80 <https://github.com/ros-simulation/gazebo_ros2_control/issues/80>)
    Co-authored-by: Jonatan Olofsson <mailto:jonatan.olofsson@saabgroup.com>
  * Join with the controller manager's executor thread on exit (#79 <https://github.com/ros-simulation/gazebo_ros2_control/issues/79>)
  * Ensure that sim_joints_ always has the same number of elements as the… (#77 <https://github.com/ros-simulation/gazebo_ros2_control/issues/77>)
  * Write joints on each simulation update period (#78 <https://github.com/ros-simulation/gazebo_ros2_control/issues/78>)
  * Contributors: Jonatan Olofsson, Kenneth Bogert, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 15 Jun 2021 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.2-1focal) focal; urgency=high

  * add ros parameters file to node context (#60 <https://github.com/ros-simulation/gazebo_ros2_control//issues/60>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
  * Expose include path (#58 <https://github.com/ros-simulation/gazebo_ros2_control//issues/58>)
  * Added License file (#55 <https://github.com/ros-simulation/gazebo_ros2_control//issues/55>)
  * Fixed state interfaces (#53 <https://github.com/ros-simulation/gazebo_ros2_control//issues/53>)
  * Contributors: Alejandro Hernández Cordero, Chen Bainian, Karsten Knese

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Sun, 18 Apr 2021 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.1-1focal) focal; urgency=high

  * Updated with ros2-control Foxy API (#44 <https://github.com/ros-simulation/gazebo_ros2_control/issues/44>)
    Co-authored-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
  * Added initial version of gazebo_ros2_control (#1 <https://github.com/ros-simulation/gazebo_ros2_control/issues/1>)
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Karsten Knese, Bence Magyar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 04 Feb 2021 23:00:00 -0000

=== debian/control ===
Source: ros-rolling-gazebo-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <alejandro@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-angles, ros-rolling-controller-manager, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-urdf, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-rolling-gazebo-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-angles, ros-rolling-controller-manager, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-urdf, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Description: gazebo_ros2_control

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-gazebo-ros2-control//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-gazebo-ros2-control 0.6.2

=== debian/changelog ===
ros-rolling-gazebo-ros2-control (0.6.2-1jammy) jammy; urgency=high

  * Catch pluginlib exceptions (#229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>)
  * Removed unused var (#220 <https://github.com/ros-controls/gazebo_ros2_control/issues/220>)
  * Remove plugin export from ROS 1 (#212 <https://github.com/ros-controls/gazebo_ros2_control/issues/212>)
  * Forced zero vel in position mode to avoid sagging (#213 <https://github.com/ros-controls/gazebo_ros2_control/issues/213>)
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, gwalck

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 22 Aug 2023 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.6.1-1jammy) jammy; urgency=high

  * Add pre-commit and CI-format (#206 <https://github.com/ros-controls/gazebo_ros2_control/issues/206>)
    * Add pre-commit and ci-format
  * Compile with ROS iron and rolling (#202 <https://github.com/ros-controls/gazebo_ros2_control/issues/202>)
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 08 Jun 2023 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.6.0-1jammy) jammy; urgency=high

  * add copy operator to SafeEnum (#197 <https://github.com/ros-controls/gazebo_ros2_control/issues/197>)
  * Fixed rolling compilation (#195 <https://github.com/ros-controls/gazebo_ros2_control/issues/195>)
  * Export all dependencies (#183 <https://github.com/ros-controls/gazebo_ros2_control/issues/183>) (#184 <https://github.com/ros-controls/gazebo_ros2_control/issues/184>)
  * Contributors: Alejandro Hernández Cordero, Noel Jiménez García, Adrian Zwiener

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.5.1-1jammy) jammy; urgency=high

  * Various bug fixes (#177 <https://github.com/ros-controls/gazebo_ros2_control/issues/177>)
  * Contributors: AndyZe

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 06 Feb 2023 23:00:00 -0000

ros-rolling-gazebo-ros2-control (0.5.0-1jammy) jammy; urgency=high

  * Force setting use_sim_time parameter when using plugin. (#171 <https://github.com/ros-controls/gazebo_ros2_control/issues/171>)
  * Improve error message if robot_description_ param is wrong (#168 <https://github.com/ros-controls/gazebo_ros2_control/issues/168>)
  * Rename hw info class type to plugin name (#169 <https://github.com/ros-controls/gazebo_ros2_control/issues/169>)
  * Removed warning (#162 <https://github.com/ros-controls/gazebo_ros2_control/issues/162>)
  * Mimic joint should have the same control mode as mimicked joint. (#154 <https://github.com/ros-controls/gazebo_ros2_control/issues/154>)
  * Enable loading params from multiple yaml files (#149 <https://github.com/ros-controls/gazebo_ros2_control/issues/149>)
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, Denis Štogl, Tony Najjar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 05 Jan 2023 23:00:00 -0000

ros-rolling-gazebo-ros2-control (0.4.0-1jammy) jammy; urgency=high

  * Implemented perform_command_mode_switch override in GazeboSystem (#136 <https://github.com/ros-simulation/gazebo_ros2_control/issues/136>)
  * added namespace to controller manager (#147 <https://github.com/ros-simulation/gazebo_ros2_control/issues/147>)
  * Activate all hardware in URDF (#144 <https://github.com/ros-simulation/gazebo_ros2_control/issues/144>)
  * activated all hardware by default (#143 <https://github.com/ros-simulation/gazebo_ros2_control/issues/143>)
  * Fix setting initial values if command interfaces are not defined. (#110 <https://github.com/ros-simulation/gazebo_ros2_control/issues/110>)
  * changed name to GazeboSystem (#142 <https://github.com/ros-simulation/gazebo_ros2_control/issues/142>)
  * Contributors: Denis Štogl, Keegan Sotebeer, Maciej Bednarczyk

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 08 Aug 2022 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.3.1-1jammy) jammy; urgency=high

  * Added logic for activating hardware interfaces (#139 <https://github.com/ros-simulation/gazebo_ros2_control/issues/139>)
  * Adjust repo URL (#134 <https://github.com/ros-simulation/gazebo_ros2_control/issues/134>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 04 Jul 2022 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.3.0-1jammy) jammy; urgency=high

  * Merge pull request #120 <https://github.com/ros-simulation/gazebo_ros2_control/issues/120> from ros-simulation/ahcorde/main/117
    Adapted to Humble
  * make linters happy
  * Merge remote-tracking branch 'denis/using-under-namespace' into ahcorde/main/117
  * update read/write interface functions of ros2_control parts
    This is needed since the ros2_control interfaces have been update
  * Declare dependency of gazebo_hardware_plugins to urdf in CMakeLists.txt (#117 <https://github.com/ros-simulation/gazebo_ros2_control/issues/117>)
  * ros2_control is now having usings under its namespace.
  * Fix mimic joint for effort command (#109 <https://github.com/ros-simulation/gazebo_ros2_control/issues/109>)
  * Support for mimic joints and example with gripper. (#107 <https://github.com/ros-simulation/gazebo_ros2_control/issues/107>)
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, Denis Štogl, Manuel M, Martin Wudenka, ahcorde

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 26 May 2022 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.8-1jammy) jammy; urgency=high

  * Enable setting default position of the simulated robot using ros2_control URDF tag. (#100 <https://github.com/ros-simulation/gazebo_ros2_control//issues/100>)
  * Contributors: Denis Štogl



=== debian/control ===
Source: ros-rolling-gazebo-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <alejandro@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-angles, ros-rolling-controller-manager, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-rolling-gazebo-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-angles, ros-rolling-controller-manager, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Description: gazebo_ros2_control

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
